function isotropiccase(handles,datadim,Wnameval)

if datadim==1
    Wname=Wnameval{get(handles.popupmenu3,'Value')};
    if (strcmp(Wname,'Farras') || strcmp(Wname,'Fractional B-spline'))
        set(handles.popupmenu13,'String',{'All detail coefficients','All real','All imaginary'});
    else
        set(handles.popupmenu13,'String','All detail coefficients');
    end
elseif datadim==2
    Wname=Wnameval{get(handles.popupmenu3,'Value')};
    if strcmp(Wname,'Farras')
        set(handles.popupmenu13,'String',{'All detail coefficients','All real','All imaginary','All horizontal','All vertical','All diagonal','All horizontal & vertical'});
    elseif strcmp(Wname,'Fractional B-spline')
        set(handles.popupmenu13,'String',{'All detail coefficients','All real','All imaginary','All type 1','All type 2','All type 3','All type 4','All type 5','All type 6','All type 1-2','All type 3-4','All type 5-6','All type 1-4'});
    elseif (strcmp(Wname,'Chui-Lian 2') || strcmp(Wname,'Lebrun-Vetterli') || strcmp(Wname,'Donovan-Geronimo-Hardin-Massopust'))
        set(handles.popupmenu13,'String','All type 5-16');
    elseif strcmp(Wname,'Quincunx')
        set(handles.popupmenu13,'String',{'All type 1','All type 2'});
    else
        set(handles.popupmenu13,'String',{'All detail coefficients','All horizontal','All vertical','All diagonal','All horizontal & vertical'});
    end
elseif datadim==3
    set(handles.popupmenu13,'String','All detail coefficients');
end

LevVis=get(handles.popupmenu4,'Visible');
if strcmp(LevVis,'on')
    Levels=get(handles.popupmenu4,'String');
    CurrLev=Levels{get(handles.popupmenu4,'Value')};
    if str2num(CurrLev)==1
        set(handles.checkbox21,'Value',1);
        set(handles.checkbox22,'Value',0);
        set(handles.checkbox23,'Value',0);
        set(handles.checkbox21,'Enable','on');
        set(handles.checkbox22,'Enable','off');
        set(handles.checkbox23,'Enable','off');
    elseif str2num(CurrLev)==2
        set(handles.checkbox21,'Value',1);
        set(handles.checkbox22,'Value',1);
        set(handles.checkbox23,'Value',0);
        set(handles.checkbox21,'Enable','on');
        set(handles.checkbox22,'Enable','on');
        set(handles.checkbox23,'Enable','off');
    elseif str2num(CurrLev)==3
        set(handles.checkbox21,'Value',1);
        set(handles.checkbox22,'Value',1);
        set(handles.checkbox23,'Value',1);
        set(handles.checkbox21,'Enable','on');
        set(handles.checkbox22,'Enable','on');
        set(handles.checkbox23,'Enable','on');
    end
end